IpInterface (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.IpInterface interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface IpInterface

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface IpInterface

extends LogicalElement

Object representing an L3 IP endpoint

Naming Rules:
  0="parent,ipAddress" 1="managedSystemName"
Persistable:
  true
Table Name:
  IPINTRFC
Display Name:
  ipAddress

Field Summary
`static int` | `STATUS_DOWN`
`static int` | `STATUS_UP`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`IpAddress` | `getIpAddress()` Ip address on the interface
`IpNetwork` | `getIpNetwork()` Ip network the interface is connected to
`L2Interface` | `getL2Interface()`
`ComputerSystem` | `getParent()` Computer system containing the interface
`java.lang.String` | `getPortList()`
`int` | `getStatus()`
`boolean` | `hasIpAddress()`
`boolean` | `hasIpNetwork()`
`boolean` | `hasL2Interface()`
`boolean` | `hasParent()`
`boolean` | `hasPortList()`
`boolean` | `hasStatus()`
`void` | `setIpAddress(IpAddress ip)`
`void` | `setIpNetwork(IpNetwork network)`
`void` | `setL2Interface(L2Interface l2intf)`
`void` | `setParent(ComputerSystem parent)`
`void` | `setPortList(java.lang.String portList)`
`void` | `setStatus(int status)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### STATUS_UP

    static final int STATUS_UP

See Also:
  Constant Field Values

### STATUS_DOWN

    static final int STATUS_DOWN

See Also:
  Constant Field Values

Method Detail

### getParent

    ComputerSystem getParent()
                             throws AttributeNotSetException

  Computer system containing the interface

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ComputerSystem parent)

### hasParent

    boolean hasParent()

### getIpAddress

    IpAddress getIpAddress()
                           throws AttributeNotSetException

  Ip address on the interface

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BindsTo" reverse="false"

### setIpAddress

    void setIpAddress(IpAddress ip)

### hasIpAddress

    boolean hasIpAddress()

### getIpNetwork

    IpNetwork getIpNetwork()
                           throws AttributeNotSetException

  Ip network the interface is connected to

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Networks" reverse="true"

### setIpNetwork

    void setIpNetwork(IpNetwork network)

### hasIpNetwork

    boolean hasIpNetwork()

### getStatus

    int getStatus()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStatus

    void setStatus(int status)

### hasStatus

    boolean hasStatus()

### getL2Interface

    L2Interface getL2Interface()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BindsTo" reverse="false"

### setL2Interface

    void setL2Interface(L2Interface l2intf)

### hasL2Interface

    boolean hasL2Interface()

### getPortList

    java.lang.String getPortList()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPortList

    void setPortList(java.lang.String portList)

### hasPortList

    boolean hasPortList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD